/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *  
 *    http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License. 
 *  
 */
package org.apache.mina.common;

import java.io.IOException;

/**
 * An {@link IOException} which is thrown when write buffer is not flushed for
 * {@link IoSession#getWriteTimeout()} seconds.
 * 
 * @author The Apache Directory Project (mina-dev@directory.apache.org)
 * @version $Rev$, $Date$, 
 */
public class WriteTimeoutException extends IOException {
    private static final long serialVersionUID = 3906931157944579121L;

    /**
     * Creates a new exception.
     */
    public WriteTimeoutException() {
        super();
    }

    /**
     * Creates a new exception.
     */
    public WriteTimeoutException(String s) {
        super(s);
    }
}